Package org.eclipse.microprofile.rest.client.tck.sse

# Class WeatherEventProvider

java.lang.Object
org.eclipse.microprofile.rest.client.tck.sse.WeatherEventProvider

All Implemented Interfaces:
  `jakarta.ws.rs.ext.MessageBodyReader<WeatherEvent>`

public class WeatherEventProvider extends Object implements jakarta.ws.rs.ext.MessageBodyReader<WeatherEvent>

## Constructor Summary

Constructors
Constructor
Description
`WeatherEventProvider()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`WeatherEvent`
`readFrom(Class<WeatherEvent> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WeatherEventProvider

public WeatherEventProvider()

## Method Details

### isReadable

public boolean isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `isReadable` in interface `jakarta.ws.rs.ext.MessageBodyReader<WeatherEvent>`

### readFrom

public WeatherEvent readFrom(Class<WeatherEvent> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream) throws IOException, jakarta.ws.rs.WebApplicationException

Specified by:
  `readFrom` in interface `jakarta.ws.rs.ext.MessageBodyReader<WeatherEvent>`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`